Top erroring nodes for an environment
GET
/api/v1/stats/activity/error-nodes/{env}
const url = 'https://osctrl.net/api/v1/stats/activity/error-nodes/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/stats/activity/error-nodes/example \ --header 'Authorization: <Authorization>'Returns nodes with the most ERROR-severity osquery status logs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
Query Parameters
Section titled “Query Parameters”days
integer
Days of history (default 1)
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
errors
integer
hostname
string
uuid
string
Examplegenerated
[ { "errors": 1, "hostname": "example", "uuid": "example" }]Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}